Skip to main content

Refresh token

GET/abha/api/v3/phr/app/login/profile/request/token

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

R-tokenstringRequired

The refresh token from a login response, sent with a Bearer prefix, exchanged for a new user token.

REQUEST-IDstringRequired

Unique UUID for each request.

TIMESTAMPstringRequired

Request timestamp in UTC, ISO-8601 with Z.

Responses

200

OK

tokensobject
tokens.tokenstring
tokens.expiresIninteger
tokens.refreshTokenstring
tokens.refreshExpiresIninteger
401

Unauthorized

Everything returns 401

codestring
messagestring
descriptionstring